Bug Hunting Session
Bug 58452 - FILEOPEN: docx embedded image object does not show up
Summary: FILEOPEN: docx embedded image object does not show up
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Images
  Show dependency treegraph
 
Reported: 2012-12-18 10:03 UTC by A.S.
Modified: 2018-08-19 16:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Offending document, pdf from MSOffice10, screenshot of LO3.6.4 with incorrect rendering. (280.00 KB, application/x-bzip-compressed-tar)
2012-12-18 10:03 UTC, A.S.
Details
the document (17.83 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-08-18 14:37 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description A.S. 2012-12-18 10:03:48 UTC
Created attachment 71718 [details]
Offending document, pdf from MSOffice10, screenshot of LO3.6.4 with incorrect rendering.

The attached docxfile contains an embedded object (nature unknown: i'm not so knowledgeable, but I guess it's an image in a sort of metafile format). The PDF shows MSOffice2010 output. Nothing but the title is seen in libreoffice 3.6.4.3 (see screenshot).

It is likely present in 4.0.0.0.beta1: in the few seconds beta1 was working, the screenshot was the same. However, after encountering bug 58417, no further testing with 4.0 has been possible for me.

Note: may be related to bug 48089, but such a bug reported for LO 3.3 seems to have been solved by now as the test file in bug 48089 seems to open reasonably well in 3.6.4.3.
Comment 1 Jorendc 2013-01-26 22:57:13 UTC
I can reproduce this using Linux Mint x64 with LibreOffice Versie 4.0.0.2 .0.2 (Bouw-id: 408fe71bd18616c467b3dcd7ab6756528ffcae2) and master Version 4.1.0.0.alpha0+ (Build ID: f1bca26afcc7593d0124c216c0400a9e2e47fc1).

I opened the file in Word for Mac (using Mac OSX 10.8.2) and the image is shown.

When I open it with LibreOffice and save it as docx -> reopen with Word for Mac -> data loss. No image there anymore. Therefore I mark this bug as 'Critical High'.
Comment 2 Jorendc 2013-01-26 22:58:01 UTC
@Michael: because of the loss of data I add you to CC for this bug. Thanks in advance for your time.
Comment 3 Michael Stahl (CIB) 2013-02-08 19:33:24 UTC
problem happens in older versions too (even OOo 3.3), not a regression
Comment 4 Jorendc 2014-07-20 15:25:52 UTC
Improved behavior: LibreOffice Version: 4.4.0.0.alpha0+
Build ID: a82ff18269e5b37348d402b7c21c3f200068265c
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-20_02:34:36 shows 1 of the 4 visible (embedded) slides.

Kind regards,
Joren
Comment 5 Jorendc 2015-05-17 20:24:17 UTC
Still reproducible, tested using Windows 7 with LibreOffice Version: 5.0.0.0.alpha1+ (x64)
Build ID: 9d0c51daea67104349cac26de9839afa8baeb099
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-15_23:59:35
Locale: nl-BE (nl_BE)
Comment 6 Robinson Tryon (qubit) 2015-12-09 18:45:08 UTC Comment hidden (obsolete)
Comment 7 Telesto 2016-12-05 21:13:47 UTC
Still reproducible
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 8 Xisco Faulí 2017-08-18 14:37:19 UTC
Created attachment 135646 [details]
the document
Comment 9 Xisco Faulí 2017-08-18 14:37:39 UTC
Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: a19dc104ec008f0bb44676d63d4764c6d7442a0d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 10 QA Administrators 2018-08-19 02:36:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug